import * as __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime__ from "react/jsx-runtime";
import "react";
import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_client__ from "@tachybase/test/client";
import * as __WEBPACK_EXTERNAL_MODULE__demos_percent_mjs__ from "../demos/percent.mjs";
describe('Percent', ()=>{
    it('should display the value of user input', ()=>{
        const { container } = (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_client__.render)(/*#__PURE__*/ (0, __WEBPACK_EXTERNAL_MODULE_react_jsx_runtime__.jsx)(__WEBPACK_EXTERNAL_MODULE__demos_percent_mjs__["default"], {}));
        const input = container.querySelector('input');
        __WEBPACK_EXTERNAL_MODULE__tachybase_test_client__.fireEvent.change(input, {
            target: {
                value: '10'
            }
        });
        expect(input.value).toBe('10');
    });
});
